All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.lang
Class CharacterData

    com.sas.lang.CharacterData

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, ComponentInterface, com.sas.lang.CharacterDataInterface, com.sas.lang.StringDataInterface, LinkPropertiesInterface, ModelInterface, com.sas.PublicClonable, ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

    public class CharacterData

implements com.sas.PublicClonable, com.sas.lang.CharacterDataInterface, com.sas.lang.StringDataInterface

CharacterData is an implementation of CharacterDataInterface, for holding a char integer. The CharacterData container has a bound characterData property, so the CharacterData object fires a PropertyChangeEvent when the object is changed with setCharacterData(Character).

Creating a CharacterData Component

          CharacterData charData1 = new CharacterData();
          charData1.initialize();

The CharacterData class also maintains a bound text property which is always equal to the String value of the characterData property.

Usage

The CharacterData component stores char data:

     charData1.addPropertyChangeListener(listener);
     charData1.setCharacterData(l);
     ...
     l = charData1.getCharacterData();

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`CharacterData()` Default Constructor
`CharacterData(char value)` Construct an object with an initial value.

Method Summary
`java.lang.Object` | `clone()` Creates a copy of the current model
`boolean` | `equals(CharacterData other)` Tests if this object equals another CharacterData object
`boolean` | `equals(java.lang.Object object)` Tests if this object equals another object
`char` | `getCharacterData()` Retrieves the char stored in the char model
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns the ExtendedBeanInfo for this class.
`java.lang.String` | `getText()` Retrieves the text value of the model.
`int` | `hashCode()` Computes a hash code.
`void` | `setCharacterData(char value)` Sets the char stored in the char model.
`void` | `setText(java.lang.String string)` Assigns the value of the object from a string value.
`java.lang.String` | `toString()`

Methods inherited from class com.sas.Component
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, beansIsDesignTime, beansSetDesignTime, clone, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getLinkInfo, getModelInterface, getRequiredInterfaces, getResources, getStringResource, getViewInterfaceSupportInfo, initialize, initializeComponent, isDesignTime, isLinked, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues, setLinkInfo, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### CharacterData

    public CharacterData()

  Default Constructor

### CharacterData

    public CharacterData(char value)

  Construct an object with an initial value.

  Parameters:
    `value` - the initial value

Method Detail

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns the ExtendedBeanInfo for this class.

  Returns:
    ExtendedBeanInfo for this class

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Creates a copy of the current model

  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Overrides:
    `clone` in class `Component`
  Returns:
    a clone of this object
  Throws:
    `java.lang.CloneNotSupportedException` - if the object cannot be cloned

### equals

    public boolean equals(CharacterData other)

  Tests if this object equals another CharacterData object

  Returns:
    true if and only if the objects have the same value.

### equals

    public boolean equals(java.lang.Object object)

  Tests if this object equals another object

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if object is not null, is an instance of CharacterData, and has the same value; false otherwise

### getCharacterData

    public char getCharacterData()

  Retrieves the char stored in the char model

  Specified by:
    `getCharacterData` in interface `com.sas.lang.CharacterDataInterface`
  Returns:
    char value

### getText

    public java.lang.String getText()

  Retrieves the text value of the model.

  Specified by:
    `getText` in interface `com.sas.lang.StringDataInterface`
  Returns:
    the text value of the model

### hashCode

    public int hashCode()

  Computes a hash code.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    hash code

### setCharacterData

    public void setCharacterData(char value)

  Sets the char stored in the char model.

  Specified by:
    `setCharacterData` in interface `com.sas.lang.CharacterDataInterface`
  Parameters:
    `value` - char data

### setText

    public void setText(java.lang.String string)

  Assigns the value of the object from a string value.

  Specified by:
    `setText` in interface `com.sas.lang.StringDataInterface`
  Parameters:
    `string` - a string representation of the text. The first character is used as the value
  Throws:
    `java.lang.IllegalArgumentException` - if the string cannot be converted or has length of 0.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.